Subject: devel-digest V2 #161
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest           Thursday, May 6 1999           Volume 02 : Number 161

In this issue:

    Disk Images & xdm fails to execute a Window Manager
    Re: Ethernet problems ... 
    Re: Disk Images & xdm fails to execute a Window Manager
    Re: Disk Images & xdm fails to execute a Window Manager
    Re: Disk Images & xdm fails to execute a Window Manager
    Re: Ethernet problems ...
    NAT & Netwinder?
    Re: NAT & Netwinder?

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Wed, 05 May 1999 16:18:20 +0800
From: Sebastian Malcolm <[email-masked]>
Subject: Disk Images & xdm fails to execute a Window Manager

This is a multi-part message in MIME format.
- --------------EF79E56E0676456C3E9B2FE5
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

I have just received our Netwinder DM and I am very keen to update to
software on it.

Where can I get hold of a newer disk image? - OR should I just download
(S)RPMS and upgrade that way?

 ftp://ftp.netwinder.org/pub/ccc/images/dm-2.1-12.tar.gz seems to be the
"latest" disk image.

The main reason that I need to update is that when I run "xdm" it loads
fine but once I try and Login using xdm, it just returns to the xdm
login screen without loading a Window Manager. This suggests to me that
the Xinit/xdm stuff is not setup correctly?
Does anyone else have any suggestions?
I really do need to have xdm (or gdm or kdm) working so I can remotely
access X-Windows running on the Netwinder from my desktop machine.

Also - as Deirdre Saoirse has already asked - Where can we get Apache
1.3x as a RPM for our Netwinders? A link on the WebSite?

Thanks in advance!

Cheers,
        Sebastian.

- --------------EF79E56E0676456C3E9B2FE5
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Sebastian Malcolm
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             Sebastian Malcolm
n:              Malcolm;Sebastian
org:            CustomTel
email;internet: [email-masked]
title:          Webmaster
note:           I Work in R&D!
x-mozilla-cpt:  ;0
x-mozilla-html: TRUE
version:        2.1
end:            vcard

- --------------EF79E56E0676456C3E9B2FE5--

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 05 May 1999 12:44:40 +0100
From: Philip Blundell <[email-masked]>
Subject: Re: Ethernet problems ... 

>After upgrading my netwinder to the RawHide distro from
>Carleton, I seem to be having the following problem.  Although
>the network driver seems to be working fine, in that, I can
>ping, telnet and ftp (to some extent) fine, whenever I try to
>ftp something *huge*, somehow the kernel panics and the whole
>machine comes to a halt. The only relief then is to plug-out 
>the power cord and plug it in again.

I suspect the problem is that the tulip driver doesn't handle out of memory 
conditions at all well.  Under heavy network load you might start to run out 
of buffers, and from a quick look through the code it will probably be `game 
over' pretty shortly afterwards.  You could add a few strategic printk's to 
see if this is happening, for example at about line 3085 where skb is tested 
for NULL.

Last time this sort of thing came up I mentioned that it might be a good idea 
to try the other driver for these cards to see if it's any better.  I'll try 
to find time to make a patch to add the missing DMA coherency to it.

p.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 05 May 1999 13:27:16 +0000
From: Ralph Siemsen <[email-masked]>
Subject: Re: Disk Images & xdm fails to execute a Window Manager

Sebastian Malcolm wrote:

> Where can I get hold of a newer disk image? - OR should I just download
> (S)RPMS and upgrade that way?

It's easier to dowload entire disk images at this time.  You've got the
right filename for the current version.  THe basic approach is simply to
untar the image (remeber to use the "p" flag to preserve permissions) -
either onto a spare partition, or across the network if you've not got
enough disk space.  There is a HOWTO planned to explain this process
further, but atm it is not ready.  There are some notes under
www.netwinder.org/~ralphs/ that might be of help.
 
> The main reason that I need to update is that when I run "xdm" it loads
> fine but once I try and Login using xdm, it just returns to the xdm
> login screen without loading a Window Manager. This suggests to me that
> the Xinit/xdm stuff is not setup correctly?

I guess so... I never tried xdm.

> Also - as Deirdre Saoirse has already asked - Where can we get Apache
> 1.3x as a RPM for our Netwinders? A link on the WebSite?

Source and binaries for apache 1.3 are on the ftp site - I suggest using the
"search" page on the web site to locate them.  

- -- 
Ralph Siemsen -- [email-masked]
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 05 May 1999 11:44:38 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: Disk Images & xdm fails to execute a Window Manager

Sebastian Malcolm wrote:
> I have just received our Netwinder DM and I am very keen to update to
> software on it.
> 
> Where can I get hold of a newer disk image? - OR should I just download
> (S)RPMS and upgrade that way?
> 
>  ftp://ftp.netwinder.org/pub/ccc/images/dm-2.1-12.tar.gz seems to be the
> "latest" disk image.

It is, but I urge you to hold off if you can.  I'm putting build 14 on
the internal production system this week, which means it should be
publically released about 2 weeks later.  This build is worth the wait!

Also, I'm putting out a trivial little program I wrote called ftptar.
It uses FTP to transfer a drive image, and un-tar's it on the fly
without using a temporary file.  Works great if you have a reliable
network connection (it can't handle a re-start...yet).

- --
Andrew E. Mileski - Software Engineer [OS Team Leader]
Rebel.com  http://www.rebel.com/
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 5 May 1999 13:43:48 -0400 (EDT)
From: Deirdre Saoirse <[email-masked]>
Subject: Re: Disk Images & xdm fails to execute a Window Manager

On Wed, 5 May 1999, Sebastian Malcolm wrote:

> Also - as Deirdre Saoirse has already asked - Where can we get Apache
> 1.3x as a RPM for our Netwinders? A link on the WebSite?

I had actually intended on making an rpm but, being tired from moving, I
was intending on deleting the 1.2.x stuff and deleted the 1.3 I compiled
as well. I didn't compile it using "standard" (for RH) locations as I have
particular places I wanted things to go. I am using 1.3.6 at the moment.

_Deirdre   *   http://www.linuxcabal.org   *   http://www.deirdre.net
"Solving today's problems tomorrow, with yesterday's technology."

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 5 May 1999 19:18:54 -0400 (EDT)
From: "Rod m. Stewart" <[email-masked]>
Subject: Re: Ethernet problems ...

On Wed, 5 May 1999 [email-masked] wrote:

> The observation is that it will generally ftp correctly 
> datasizes of around 10-11 MB at one go.  However, if you
> try to do the same thing, that is download huge (100+ MB)
> data by issuing separate transfer commands for every single
> file, it seems to be working fine. 
> 
> BTW, this is the tulips 10/100 card.
> 
> Has anybody faced this before ?

Yes, I can reproduce this (now I just need to find some time, maybe this
weekend). 

Question:  Are you running at 100 Mbits, or only 10?  I've only noticed
this problem when we switched over to 100 Mbits internally.  My solution
for now is to drop any NetWinders I need stable to run back onto one of
out 10 Mbit hubs.  This might not work if you are sending large amounts of
data, but I have successfully ftped /proc/kcore (160MB) from my ix86 to
/dev/null on a NetWinder without any problems at 10 Mbits.

- -Rms
Carleton now has an OC3, I'm happy.  We'll ignore the fact that all
traffic is bottlenecked at 10Mbit now, should be fixed soonish :)

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 5 May 1999 19:34:01 -0400 (EDT)
From: "Eric D. Fehr" <[email-masked]>
Subject: NAT & Netwinder?

Are there any good NAT packages out there for the Netwinder?  I'd like to
set mine up as a firewall for my network, and can't seem to find anything.

Also, what is the status of moving these lists to newsgroups?  I'd be glad
to gateway the groups to the outside world, if someone can point me at the
news admin...

Thanks,
Eric

- -- 
Eric Fehr
Senior Mail, News, and DNS Administrator
Internet Direct Canada

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 05 May 1999 23:52:40 +0000
From: Guy Fraser <[email-masked]>
Subject: Re: NAT & Netwinder?

"Eric D. Fehr" wrote:
> 
> Are there any good NAT packages out there for the Netwinder?  I'd like to
> set mine up as a firewall for my network, and can't seem to find anything.
> 
> Also, what is the status of moving these lists to newsgroups?  I'd be glad
> to gateway the groups to the outside world, if someone can point me at the
> news admin...
> 
> Thanks,
> Eric
> 
> --
> Eric Fehr
> Senior Mail, News, and DNS Administrator
> Internet Direct Canada
> 
> --
> This list is run automagically by Majordomo 1.94.4
> Please send email questions to [email-masked]
> To UNSUBSCRIBE: email [email-masked] with
> "unsubscribe devel" as the body of your message.
Hi

I would send you a demo firewall setup script, ... but last night our
dhcp/masquerading machine was stolen!

Any how, you can setup some non-public addresses on one interface and
your normal ip on the other interface. Then what you nee to do is
configure the machine to deny everthing, then allow the non-public
addresses to be masqueraded to and from "0.0.0.0". If you can get the
firewall to work this will cause all traffic to appear to be comming
from the second interface of your netwinder, no matter what machine it
comes from. I have had this working on a RedHat 5.2 machine {not a
netwinder} and was using DHCP to serve up the non-public {192.168.XX.XX}
ip's . It was working great until this morning when I discovered the
machine was gone!

There will likey be others who can add to this.

Guy

Network Administrator
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #161
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.